<div>
    <div class="ui-g-12">
    </div>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <p-accordion>
                <p-accordionTab header="Filter" [selected]="false">
                    <div class="row">
                        <div class="ui-g-12">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <div class="ui-g-4">
                                        <label class="form-control-label" for="field_PIC">Tanggal</label>
                                    </div>
                                    <div class="ui-g-4">
                                        <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom"
                                            dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                            yearRange="2000:2999" appendTo="body"></p-calendar>
                                    </div>
                                    <div class="ui-g-4">
                                        <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru"
                                            dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                            yearRange="2000:2999" appendTo="body"></p-calendar>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="ui-g-4">
                                        <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                                    </div>
                                    <div class="ui-g-8">
                                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                            (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                            [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                            (onSelect)="selectSupplier(true)" [dropdown]="true" tabindex=1>
                                        </p-autoComplete>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <button pButton type="submit" label="Filter" icon="fa-filter"
                                        class="ui-button-primary flat-label-button" (click)="filter()">
                                    </button>
                                    <button pButton label="Reset Filter" icon="fa-refresh"
                                        class="ui-button-primary flat-label-button" (click)="reset()">
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </p-accordionTab>
            </p-accordion>
        </div>
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="Tanda Terima | Nama Supplier">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br />
    <div>
        <p-dataTable [value]="tandaTerimaItems" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
            row="itemsPerPage" totalRecords="totalItems" dataKey="idreceipt" expandableRows="false"
            (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
            <p-header>
            </p-header>
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor Tanda Terima">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.receiptno}}
                </ng-template>
            </p-column>
            <p-column header="Supplier">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nmsupplier}}
                </ng-template>
            </p-column>
            <p-column header="Nomor Invoice">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.invno}}
                </ng-template>
            </p-column>
            <p-column header="Nomor Faktur Pajak">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.invtaxno}}
                </ng-template>
            </p-column>
            <p-column header="Total">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.total | number:'1.0-2'}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtreceipt | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Pembuat">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.createby}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal Purc">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtpurc | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal Mkt">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtmkt | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal Acc">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtacc | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal Fin">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtfin | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal Bayar">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtpay | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal Rilis">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtrelease | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
        </p-dataTable>
    </div>
</div>